Skip to main content
POST
Get promotions by UUIDs

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Body

application/json
promotionUuids
string<uuid>[]
required

Array of promotion UUIDs to retrieve data for

Example:

Response

Promotion details retrieved successfully

promotionUuid
string<uuid>
required

UUID of the promotion

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

tenantType
enum<string>
required

Tenant type for the promotion

Available options:
Business,
Personal,
All
Example:

"Personal"

promotionCategory
enum<string>
required

MANUALLY_APPLIED → added manually by user via Monument FMS, AUTOMATICALLY_APPLIED → added automatically during check-out if unit meets conditions

Available options:
MANUALLY_APPLIED,
AUTOMATICALLY_APPLIED
Example:

"MANUALLY_APPLIED"

isAutoPayRequired
boolean
required

Whether auto pay is required for this promotion

Example:

false

promotionName
string
required

Name of the promotion

Example:

"Summer Special"

description
string | null
required

Description of the promotion

Example:

"Special summer discount"

note
string | null
required

Note about the promotion

Example:

"Valid until end of summer"

discountType
enum<string> | null
required

FIXED_AMOUNT → fixed amount, referenced in fixedDiscountAmount field, PERCENTAGE → percentage of rent, referenced in discountPercentage field

Available options:
FIXED_AMOUNT,
PERCENTAGE
Example:

"PERCENTAGE"

discountAmountType
string
required

Discount amount type

Example:

"OFF_RENT"

fixedDiscountAmount
number | null
required

Fixed discount amount in pennies (e.g., $10.50 = 1050)

Example:

1000

discountPercentage
number | null
required

Discount percentage (e.g., 10.5 for 10.5%)

Example:

10.5

durationInMonths
number | null
required

Number of monthly invoices to apply promotion to. When 0, it applies to all invoices.

Example:

3

monthStarts
number | null
required

The billing month the promotion will start. 0 = applies to the move-in invoice, 1 = applies to the first monthly generated invoice after move-in

Example:

0

createdAt
string<date-time>
required

Timestamp when the promotion was created

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Timestamp when the promotion was last updated

Example:

"2024-01-20T15:45:00.000Z"

unitGroupUuids
string<uuid>[]
required

List of unit group UUIDs the promotion is assigned to

Example:
isActive
boolean
required

Whether promotion is active

Example:

false